package com.bootdo.data.service;

import com.bootdo.data.entity.TfInfoEnterprise;

import java.util.List;
import java.util.Map;

/**
 * 法人表(TfInfoEnterprise)表服务接口
 *
 * @author makejava
 * @since 2022-05-09 15:51:40
 */
public interface TfInfoEnterpriseService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TfInfoEnterprise queryById(Integer id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<TfInfoEnterprise> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param tfInfoEnterprise 实例对象
     * @return 实例对象
     */
    TfInfoEnterprise insert(TfInfoEnterprise tfInfoEnterprise);

    /**
     * 修改数据
     *
     * @param tfInfoEnterprise 实例对象
     * @return 实例对象
     */
    TfInfoEnterprise update(TfInfoEnterprise tfInfoEnterprise);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);


    /**
     * 分页时获取总count
     *
     * @param map
     * @return
     */
    int queryPageCount(Map<String, Object> map);

    /**
     * 分页获取数据
     *
     * @param map
     * @return
     */
    List<TfInfoEnterprise> queryPage(Map<String, Object> map);

    /**
     * 置为不可用
     *
     * @param id
     */
    void disable(Long id);

    /**
     * 登陆查询
     *
     * @param parameter
     * @return
     */
    TfInfoEnterprise loginQuery(Map<String, Object> parameter);
}